### Method

# Gio DBusConnection signal_unsubscribe

since: 2.26

#### Declaration [src]

    void
    g_dbus_connection_signal_unsubscribe (
      GDBusConnection* connection,
      guint subscription_id
    )

#### Description [src]

Unsubscribes from signals.

Note that there may still be D-Bus traffic to process (relating to this signal subscription) in the current thread-default `GMainContext` after this function has returned. You should continue to iterate the `GMainContext` until the `GDestroyNotify` function passed to `g_dbus_connection_signal_subscribe()` is called, in order to avoid memory leaks through callbacks queued on the `GMainContext` after it’s stopped being iterated. Alternatively, any idle source with a priority lower than `G_PRIORITY_DEFAULT` that was scheduled after unsubscription, also indicates that all resources of this subscription are released.

Available since: 2.26

#### Parameters

`subscription_id`

  Type: `guint`

  A subscription id obtained from g_dbus_connection_signal_subscribe().